# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AS = @AS@
BUILD_GUILE = @BUILD_GUILE@
CATALOGS = @CATALOGS@
CATOBJEXT = @CATOBJEXT@
CC = @CC@
DATADIRNAME = @DATADIRNAME@
DB_LIBS = @DB_LIBS@
DLLTOOL = @DLLTOOL@
DL_LIB = @DL_LIB@
EFENCE_LIBS = @EFENCE_LIBS@
GDK_PIXBUF_CFLAGS = @GDK_PIXBUF_CFLAGS@
GDK_PIXBUF_CONFIG = @GDK_PIXBUF_CONFIG@
GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
GENCAT = @GENCAT@
GHTTP_CFLAGS = @GHTTP_CFLAGS@
GHTTP_LIBS = @GHTTP_LIBS@
GLADE_CFLAGS = @GLADE_CFLAGS@
GLADE_LIBS = @GLADE_LIBS@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_CONFIG = @GLIB_CONFIG@
GLIB_LIBS = @GLIB_LIBS@
GMOFILES = @GMOFILES@
GMSGFMT = @GMSGFMT@
GNC_ACCOUNTS_DIR = @GNC_ACCOUNTS_DIR@
GNC_ADD_ON_SRFIS = @GNC_ADD_ON_SRFIS@
GNC_CONFIGDIR = @GNC_CONFIGDIR@
GNC_DOC_INSTALL_DIR = @GNC_DOC_INSTALL_DIR@
GNC_GLADE_DIR = @GNC_GLADE_DIR@
GNC_GWRAP_LIBDIR = @GNC_GWRAP_LIBDIR@
GNC_HELPDIR = @GNC_HELPDIR@
GNC_INCLUDE_DIR = @GNC_INCLUDE_DIR@
GNC_LIBDIR = @GNC_LIBDIR@
GNC_MODULE_DIR = @GNC_MODULE_DIR@
GNC_PIXMAP_DIR = @GNC_PIXMAP_DIR@
GNC_SCM_INSTALL_DIR = @GNC_SCM_INSTALL_DIR@
GNC_SHAREDIR = @GNC_SHAREDIR@
GNC_TAGS_FILE = @GNC_TAGS_FILE@
GNOMEGNORBA_LIBS = @GNOMEGNORBA_LIBS@
GNOMEUI_LIBS = @GNOMEUI_LIBS@
GNOME_APPLETS_LIBS = @GNOME_APPLETS_LIBS@
GNOME_CAPPLET_LIBS = @GNOME_CAPPLET_LIBS@
GNOME_CONFIG = @GNOME_CONFIG@
GNOME_DOCKLETS_LIBS = @GNOME_DOCKLETS_LIBS@
GNOME_INCLUDEDIR = @GNOME_INCLUDEDIR@
GNOME_LIBDIR = @GNOME_LIBDIR@
GNOME_LIBS = @GNOME_LIBS@
GNOME_PRINT_CFLAGS = @GNOME_PRINT_CFLAGS@
GNOME_PRINT_LIBS = @GNOME_PRINT_LIBS@
GNOME_XML_CFLAGS = @GNOME_XML_CFLAGS@
GNOME_XML_LIB = @GNOME_XML_LIB@
GNORBA_CFLAGS = @GNORBA_CFLAGS@
GNORBA_LIBS = @GNORBA_LIBS@
GNUCASH_APP_UTILS_CFLAGS = @GNUCASH_APP_UTILS_CFLAGS@
GNUCASH_APP_UTILS_LIBS = @GNUCASH_APP_UTILS_LIBS@
GNUCASH_ENGINE_BASE_CFLAGS = @GNUCASH_ENGINE_BASE_CFLAGS@
GNUCASH_ENGINE_BASE_LIBS = @GNUCASH_ENGINE_BASE_LIBS@
GNUCASH_ENGINE_CFLAGS = @GNUCASH_ENGINE_CFLAGS@
GNUCASH_ENGINE_LIBS = @GNUCASH_ENGINE_LIBS@
GNUCASH_GNOME_UTILS_CFLAGS = @GNUCASH_GNOME_UTILS_CFLAGS@
GNUCASH_GNOME_UTILS_LIBS = @GNUCASH_GNOME_UTILS_LIBS@
GNUCASH_MAJOR_VERSION = @GNUCASH_MAJOR_VERSION@
GNUCASH_MICRO_VERSION = @GNUCASH_MICRO_VERSION@
GNUCASH_MINOR_VERSION = @GNUCASH_MINOR_VERSION@
GNUCASH_NETWORK_UTILS_CFLAGS = @GNUCASH_NETWORK_UTILS_CFLAGS@
GNUCASH_NETWORK_UTILS_LIBS = @GNUCASH_NETWORK_UTILS_LIBS@
GNUCASH_REGISTER_CORE_CFLAGS = @GNUCASH_REGISTER_CORE_CFLAGS@
GNUCASH_REGISTER_CORE_LIBS = @GNUCASH_REGISTER_CORE_LIBS@
GTKHTML_CFLAGS = @GTKHTML_CFLAGS@
GTKHTML_LIBS = @GTKHTML_LIBS@
GTKXMHTML_LIBS = @GTKXMHTML_LIBS@
GTK_XIM_FLAGS = @GTK_XIM_FLAGS@
GT_NO = @GT_NO@
GT_YES = @GT_YES@
GUILE = @GUILE@
GUILE_INCS = @GUILE_INCS@
GUILE_LIBS = @GUILE_LIBS@
GUPPI_CFLAGS = @GUPPI_CFLAGS@
GUPPI_LIBS = @GUPPI_LIBS@
G_WRAP_COMPILE_ARGS = @G_WRAP_COMPILE_ARGS@
G_WRAP_CONFIG = @G_WRAP_CONFIG@
G_WRAP_LINK_ARGS = @G_WRAP_LINK_ARGS@
G_WRAP_MODULE_DIR = @G_WRAP_MODULE_DIR@
INCLUDE_LOCALE_H = @INCLUDE_LOCALE_H@
INSTOBJEXT = @INSTOBJEXT@
INTLDEPS = @INTLDEPS@
INTLLIBS = @INTLLIBS@
INTLOBJS = @INTLOBJS@
LIBGUPPI_CFLAGS = @LIBGUPPI_CFLAGS@
LIBGUPPI_LIBS = @LIBGUPPI_LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LOCALE_DIR = @LOCALE_DIR@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MKINSTALLDIRS = @MKINSTALLDIRS@
MSGFMT = @MSGFMT@
OBJDUMP = @OBJDUMP@
ORBIT_CFLAGS = @ORBIT_CFLAGS@
ORBIT_CONFIG = @ORBIT_CONFIG@
ORBIT_IDL = @ORBIT_IDL@
ORBIT_LIBS = @ORBIT_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PERLINCL = @PERLINCL@
POFILES = @POFILES@
POSUB = @POSUB@
QTTHREADS_LIB = @QTTHREADS_LIB@
RANLIB = @RANLIB@
READLINE_LIB = @READLINE_LIB@
RPC_DIR = @RPC_DIR@
SQL_DIR = @SQL_DIR@
TERMCAP_LIB = @TERMCAP_LIB@
USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
ZVT_LIBS = @ZVT_LIBS@
cflags_set = @cflags_set@
cxxflags_set = @cxxflags_set@
l = @l@

SUBDIRS = glade

lib_LTLIBRARIES = libgncgnome.la

libgncgnome_la_LDFLAGS = -module

libgncgnome_la_SOURCES =    argv-list-converters.c   dialog-account.c   dialog-column-view.c   dialog-commodities.c   dialog-dup-trans.c   dialog-fincalc.c   dialog-find-transactions.c   dialog-new-user.c   dialog-price-editor.c   dialog-print-check.c   dialog-progress.c   dialog-style-sheet.c   dialog-sx-from-trans.c   dialog-tax-info.c   dialog-totd.c   dialog-transfer.c   dialog-userpass.c   dialog-scheduledxaction.c   druid-hierarchy.c   druid-stock-split.c   file-utils.c   gnc-network.c   gnc-splash.c   mainwindow-account-tree.c   reconcile-list.c   top-level.c   window-acct-tree.c   window-help.c   window-main.c   window-main-summarybar.c   window-reconcile.c   window-register.c   window-report.c   dialog-sxsincelast.c


gnomeappdir = ${datadir}/gnome/apps/Applications

gnomeapp_in_files = gnucash.desktop.in
gnomeapp_DATA = $(gnomeapp_in_files:.desktop.in=.desktop)

appicondir = $(datadir)/pixmaps

mimedir = $(datadir)/mime-info
mime_DATA = gnucash.keys gnucash.mime

noinst_HEADERS =    argv-list-converters.h   dialog-account.h   dialog-column-view.h   dialog-fincalc.h   dialog-find-transactions.h   dialog-new-user.h   dialog-print-check.h   dialog-progress.h   dialog-style-sheet.h   dialog-sx-from-trans.h   dialog-totd.h   dialog-transfer.h   dialog-scheduledxaction.h   druid-hierarchy.h   file-utils.h   gnc-network.h   gnc-splash.h   mainwindow-account-tree.h   reconcile-list.h   top-level.h   window-acct-tree.h   window-help.h   window-main.h   window-main-summarybar.h   window-reconcile.h   window-register.h   window-report.h   dialog-sxsincelast.h


EXTRA_DIST =    .cvsignore   gnucash.desktop.in   gnucash.keys.in   gnucash.mime


CFLAGS = @CFLAGS@   -I${top_srcdir}/src   -I${top_srcdir}/src/calculation   -I${top_srcdir}/src/engine   -I${top_srcdir}/src/network-utils   -I${top_srcdir}/src/app-utils   -I${top_srcdir}/src/app-file   -I${top_srcdir}/src/app-file/gnome   -I${top_srcdir}/src/backend/file   -I${top_srcdir}/src/g-wrap   -I${top_srcdir}/src/gnome-utils   -I${top_srcdir}/src/guile   -I${top_srcdir}/src/register/ledger-core   -I${top_srcdir}/src/register/register-core   -I${top_srcdir}/src/register/register-gnome   -I${top_srcdir}/src/report/report-system   -I${top_srcdir}/src/import-export/binary-import   -I${top_srcdir}/src/import-export/qif-import   ${GUILE_INCS}   ${G_WRAP_COMPILE_ARGS}   ${GNOME_INCLUDEDIR}   ${GNOME_PRINT_CFLAGS}   ${GTKHTML_CFLAGS}   ${GHTTP_CFLAGS}   ${GLADE_CFLAGS}   ${GUPPI_CFLAGS} 

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libgncgnome_la_LIBADD = 
libgncgnome_la_OBJECTS =  argv-list-converters.lo dialog-account.lo \
dialog-column-view.lo dialog-commodities.lo dialog-dup-trans.lo \
dialog-fincalc.lo dialog-find-transactions.lo dialog-new-user.lo \
dialog-price-editor.lo dialog-print-check.lo dialog-progress.lo \
dialog-style-sheet.lo dialog-sx-from-trans.lo dialog-tax-info.lo \
dialog-totd.lo dialog-transfer.lo dialog-userpass.lo \
dialog-scheduledxaction.lo druid-hierarchy.lo druid-stock-split.lo \
file-utils.lo gnc-network.lo gnc-splash.lo mainwindow-account-tree.lo \
reconcile-list.lo top-level.lo window-acct-tree.lo window-help.lo \
window-main.lo window-main-summarybar.lo window-reconcile.lo \
window-register.lo window-report.lo dialog-sxsincelast.lo
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DATA =  $(gnomeapp_DATA) $(mime_DATA)

HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/argv-list-converters.P .deps/dialog-account.P \
.deps/dialog-column-view.P .deps/dialog-commodities.P \
.deps/dialog-dup-trans.P .deps/dialog-fincalc.P \
.deps/dialog-find-transactions.P .deps/dialog-new-user.P \
.deps/dialog-price-editor.P .deps/dialog-print-check.P \
.deps/dialog-progress.P .deps/dialog-scheduledxaction.P \
.deps/dialog-style-sheet.P .deps/dialog-sx-from-trans.P \
.deps/dialog-sxsincelast.P .deps/dialog-tax-info.P .deps/dialog-totd.P \
.deps/dialog-transfer.P .deps/dialog-userpass.P .deps/druid-hierarchy.P \
.deps/druid-stock-split.P .deps/file-utils.P .deps/gnc-network.P \
.deps/gnc-splash.P .deps/mainwindow-account-tree.P \
.deps/reconcile-list.P .deps/top-level.P .deps/window-acct-tree.P \
.deps/window-help.P .deps/window-main-summarybar.P .deps/window-main.P \
.deps/window-reconcile.P .deps/window-register.P .deps/window-report.P
SOURCES = $(libgncgnome_la_SOURCES)
OBJECTS = $(libgncgnome_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/gnome/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libgncgnome.la: $(libgncgnome_la_OBJECTS) $(libgncgnome_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libgncgnome_la_LDFLAGS) $(libgncgnome_la_OBJECTS) $(libgncgnome_la_LIBADD) $(LIBS)

install-gnomeappDATA: $(gnomeapp_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(gnomeappdir)
	@list='$(gnomeapp_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gnomeappdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gnomeappdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(gnomeappdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(gnomeappdir)/$$p; \
	  fi; fi; \
	done

uninstall-gnomeappDATA:
	@$(NORMAL_UNINSTALL)
	list='$(gnomeapp_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(gnomeappdir)/$$p; \
	done

install-mimeDATA: $(mime_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(mimedir)
	@list='$(mime_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(mimedir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(mimedir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(mimedir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(mimedir)/$$p; \
	  fi; fi; \
	done

uninstall-mimeDATA:
	@$(NORMAL_UNINSTALL)
	list='$(mime_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(mimedir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/gnome

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/gnome/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am: install-libLTLIBRARIES
install-exec: install-exec-recursive

install-data-am: install-gnomeappDATA install-mimeDATA
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
uninstall-am: uninstall-libLTLIBRARIES uninstall-gnomeappDATA \
		uninstall-mimeDATA
uninstall: uninstall-recursive
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(gnomeappdir) \
		$(DESTDIR)$(mimedir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-recursive

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-recursive

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-recursive

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-recursive

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool uninstall-gnomeappDATA install-gnomeappDATA \
uninstall-mimeDATA install-mimeDATA install-data-recursive \
uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir \
mostlyclean-depend distclean-depend clean-depend \
maintainer-clean-depend info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs-am installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean

@INTLTOOL_DESKTOP_RULE@

# We build this in an earlier directory.

# The line below breaks automake 1.5.  

gnucash.keys: gnucash.keys.in
	rm -f $@.tmp
	sed < $@.in > $@.tmp \
            -e 's:@-icondir-@:${appicondir}:g'
	chmod +x $@.tmp
	mv $@.tmp $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
